import request from '@/utils/request'

// 查询农机管理列表列表
export function listMachines(query) {
  return request({
    url: '/base/machines/list',
    method: 'get',
    params: query
  })
}

// 查询农机管理列表详细
export function getMachines(id) {
  return request({
    url: '/base/machines/' + id,
    method: 'get'
  })
}

// 新增农机管理列表
export function addMachines(data) {
  return request({
    url: '/base/machines',
    method: 'post',
    data: data
  })
}

// 修改农机管理列表
export function updateMachines(data) {
  return request({
    url: '/base/machines',
    method: 'put',
    data: data
  })
}

// 删除农机管理列表
export function delMachines(id) {
  return request({
    url: '/base/machines/' + id,
    method: 'delete'
  })
}
